#
# spec file for package gup (Version 0.3)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           gup
License:        Other License(s), see package, distributable
Group:          Productivity/Networking/News/Utilities
Requires:       inn
Autoreqprov:    on
Version:        0.3
Release:        867.2
Summary:        Group Update Program for INN and C-News
Source:         gup.tar.gz
Patch:          gup.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A Group Update Program that accepts commands by mail to edit a
newsgroup subscription file.  It can be used by news systems such as
INN and C-News.



Authors:
--------
    Andrew  Herbert <andrew@werple.apana.org.au>
    Mark Delany <markd@bush-wire.apana.org.au>

%debug_package
%prep
%setup -n gup
%patch

%build
export RPM_OPT_FLAGS
make all

%install
mkdir -p $RPM_BUILD_ROOT/usr/lib/news/bin
install gup sample/{gupdate,gupadd,gupverify} $RPM_BUILD_ROOT/usr/lib/news/bin/
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install -m 644 gup.1 $RPM_BUILD_ROOT%{_mandir}/man1/
var=/var/lib/news/gup
mkdir -p $RPM_BUILD_ROOT$var/sites $RPM_BUILD_ROOT$var/default
install -m 600 sample/config $RPM_BUILD_ROOT$var
install -m 644 sample/{gup_headers,gupconfig,newsfeeds.{start,end}} $RPM_BUILD_ROOT$var
install -m 644 sample/default/{exclude,groups,header,trailer} $RPM_BUILD_ROOT$var/default/
touch $RPM_BUILD_ROOT$var/log
chmod 600 $RPM_BUILD_ROOT$var/log

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc INSTALL README README.linux
%dir /usr/lib/news/bin
/usr/lib/news/bin/gup
/usr/lib/news/bin/gupadd
/usr/lib/news/bin/gupdate
/usr/lib/news/bin/gupverify
%{_mandir}/man1/gup.1.gz
%defattr(-,news,news)
%dir /var/lib/news/gup
%dir /var/lib/news/gup/default
%dir /var/lib/news/gup/sites
%config(noreplace) /var/lib/news/gup/config
/var/lib/news/gup/default/exclude
/var/lib/news/gup/default/groups
/var/lib/news/gup/default/header
/var/lib/news/gup/default/trailer
/var/lib/news/gup/gup_headers
%config(noreplace) /var/lib/news/gup/gupconfig
/var/lib/news/gup/log
/var/lib/news/gup/newsfeeds.end
/var/lib/news/gup/newsfeeds.start

%changelog -n gup
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 13 2006 - schwab@suse.de
- Use RPM_OPT_FLAGS.
- Don't strip binaries.
* Sun Jan 11 2004 - adrian@suse.de
- add %%defattr
* Mon Jun 23 2003 - mls@suse.de
- remove /var/lib/news from filelist, it's in filesystem.rpm
* Tue May 27 2003 - coolo@suse.de
- use BuildRoot
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Tue Dec 11 2001 - ma@suse.de
- taged /var/lib/news/gup/{config,gupconfig} as config files.
* Tue Oct 31 2000 - ma@suse.de
- removed group unsorted
* Tue May 30 2000 - ro@suse.de
- doc relocation
* Thu Mar 02 2000 - ma@suse.de
- use %%{_mandir}
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Sun Sep 20 1998 - ro@suse.de
- dont redeclare sys_errlist for glibc
- move initialisation of log_fp into main-function
* Tue May 27 1997 - florian@suse.de
- add working support scripts for INN
